## kf6-kconfig 6.19.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
project(KConfig VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMPoQmTools)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.7.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
option(KCONFIG_USE_GUI "Build components using Qt6Gui" ON)
if(KCONFIG_USE_GUI)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
endif()

option(KCONFIG_USE_QML "Build components using Qt6Qml" ON)

if(KCONFIG_USE_QML)
    include(ECMQmlModule)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Qml Quick)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(KCONFIG_USE_DBUS ON)
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kconfig_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/core/kconfig_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIG
                        VERSION_HEADER "${kconfig_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

include (ECMPoQmTools)
ecm_install_po_files_as_qm(poqm)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Config")

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6ConfigConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/KF6ConfigConfigVersion.cmake"
                "${CMAKE_CURRENT_SOURCE_DIR}/KF6ConfigMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF6ConfigTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6ConfigTargets.cmake NAMESPACE KF6:: COMPONENT Devel)


install(EXPORT KF6ConfigCompilerTargets DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Config"
        FILE KF6ConfigCompilerTargets.cmake NAMESPACE KF6:: COMPONENT Devel)

install(FILES ${kconfig_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfig COMPONENT Devel)


include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
find_package(Qt6Concurrent ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt6Test_FOUND)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

if(NOT Qt6Concurrent_FOUND)
    message(STATUS "Qt6Concurrent not found, autotests will not be built.")
    return()
endif()

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6CorePrivate ${Qt6_VERSION} EXACT CONFIG REQUIRED)
endif()

# compile KEntryMap into the test since it's not exported
ecm_add_test(
  kentrymaptest.cpp
  ../src/core/kconfigdata.cpp
  TEST_NAME kentrymaptest
  LINK_LIBRARIES Qt6::Test
)
target_include_directories(kentrymaptest PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../src/core)

qt_add_resources(sharedconfigresources sharedconfigresources.qrc)

ecm_add_test(ksharedconfigtest.cpp ${sharedconfigresources} TEST_NAME kconfigcore-ksharedconfigtest LINK_LIBRARIES KF6::ConfigCore Qt6::Test Qt6::Concurrent)

# test for fallback to :/kconfig/xxxx config resource
qt_add_resources(fallbackconfigresources fallbackconfigresources.qrc)
ecm_add_test(fallbackconfigresourcestest.cpp ${fallbackconfigresources} TEST_NAME kconfigcore-fallbackconfigresourcestest LINK_LIBRARIES KF6::ConfigCore Qt6::Test Qt6::Concurrent)

ecm_add_tests(
    kconfignokdehometest.cpp
    kconfigtest.cpp
    kdesktopfiletest.cpp
    test_kconf_update.cpp
    ksharedconfig_in_global_object.cpp
    dbussanitizertest.cpp
    NAME_PREFIX kconfigcore-
    LINK_LIBRARIES KF6::ConfigCore Qt6::Test Qt6::Concurrent Qt6::CorePrivate
)

add_dependencies(test_kconf_update kconf_update)

if(TARGET Qt6::Gui)
ecm_add_tests(
    kconfigguitest.cpp
    kconfigloadertest.cpp
    kconfigskeletontest.cpp
    kstandardshortcuttest.cpp
    NAME_PREFIX kconfiggui-
    LINK_LIBRARIES KF6::ConfigGui Qt6::Test
)

ecm_add_test(
    kstandardshortcutwatchertest.cpp
    # add sources instead of linking so we can use the unexported initialize()
    ../src/gui/kstandardshortcut.cpp
    ../src/gui/kstandardshortcutwatcher.cpp
    LINK_LIBRARIES KF6::ConfigCore Qt6::Gui Qt6::Test
    TEST_NAME kstandardshortcutwatchertest
    NAME_PREFIX kconfiggui-
)
target_include_directories(kstandardshortcutwatchertest PRIVATE "$<TARGET_PROPERTY:KF6ConfigGui,INTERFACE_INCLUDE_DIRECTORIES>")
target_compile_definitions(kstandardshortcutwatchertest PRIVATE "-DKCONFIGGUI_STATIC_DEFINE")

# These tests do a global cleanup of ~/.qttest, so they can't run in parallel
set_tests_properties(kconfigcore-kconfigtest PROPERTIES RUN_SERIAL TRUE)
set_tests_properties(kconfigcore-kconfignokdehometest PROPERTIES RUN_SERIAL TRUE)
set_tests_properties(kconfiggui-kconfigguitest PROPERTIES RUN_SERIAL TRUE)

if(NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(kconfig_compiler)
endif()
endif()

find_package(Qt6 OPTIONAL_COMPONENTS Widgets)
if(TARGET Qt6::Widgets)
    ecm_add_test(kwindowstatesavertest.cpp LINK_LIBRARIES KF6::ConfigGui Qt6::Test Qt6::Widgets)
endif()

# benchmarks, don't execute during normal testing
# they don't test additional stuff
add_executable(kconfig_benchmark kconfig_benchmark.cpp)
ecm_mark_nongui_executable(kconfig_benchmark)
add_test(NAME kconfig_benchmark COMMAND kconfig_benchmark CONFIGURATIONS BENCHMARK)
target_link_libraries(kconfig_benchmark KF6::ConfigCore Qt6::Test)

if (WIN32)
    ecm_add_test(registrytest.cpp LINK_LIBRARIES KF6::ConfigCore Qt6::Test)
endif()

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KF6ConfigQml)
add_library(KF6::ConfigQml ALIAS KF6ConfigQml)

ecm_add_qml_module(KF6ConfigQml URI org.kde.config GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

set_target_properties(KF6ConfigQml PROPERTIES
    VERSION     ${KCONFIG_VERSION}
    SOVERSION   ${KCONFIG_SOVERSION}
    EXPORT_NAME ConfigQml
)

target_sources(KF6ConfigQml PRIVATE
    kconfigpropertymap.cpp
    kwindowstatesaverquick.cpp
    types.cpp
)

ecm_qt_declare_logging_category(KF6ConfigQml
    HEADER kconfig_qml_log_settings.h
    IDENTIFIER KCONFIG_QML_LOG
    CATEGORY_NAME kf.config.qml
    DESCRIPTION "KConfig QML"
    EXPORT KCONFIG
)

ecm_generate_export_header(KF6ConfigQml
    BASE_NAME KConfigQml
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KConfig
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6ConfigQml
  PUBLIC
    KF6::ConfigCore # KCoreConfigSkeleton, in ConfigPropertyMap
    KF6::ConfigGui # KWindowStateSaver
    Qt6::Qml
  PRIVATE
    Qt6::Quick
)

ecm_generate_headers(KConfigQml_HEADERS
    HEADER_NAMES
    KConfigPropertyMap

    REQUIRED_HEADERS KConfigQml_HEADERS
)
target_include_directories(KF6ConfigQml
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KConfig;${KDE_INSTALL_INCLUDEDIR_KF}/KConfigQml>")

ecm_generate_qdoc(KF6ConfigQml kconfigqml.qdocconf)

install(TARGETS KF6ConfigQml EXPORT KF6ConfigTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kconfigqml_export.h
  ${KConfigQml_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigQml COMPONENT Devel
)

ecm_finalize_qml_module(KF6ConfigQml DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KF6ConfigTargets)

=== debian/changelog ===
kf6-kconfig (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:45 +0100

=== debian/control ===
Source: kf6-kconfig
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.19.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfig
Rules-Requires-Root: no

Package: libkf6config-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains runtime files for KConfig.

Package: libkf6config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the translations.

Package: libkf6config-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-bin (= ${binary:Version}),
         libkf6config-dev-bin (= ${binary:Version}),
         libkf6configcore6 (= ${binary:Version}),
         libkf6configgui6 (= ${binary:Version}),
         libkf6configqml6 (= ${binary:Version}),
         qml6-module-org-kde-config (= ${binary:Version}),
         qt6-tools-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkf6config-doc (= ${source:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6config-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the binary files for the libkf6config-dev package.

Package: libkf6config-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: configuration settings framework for Qt (documentation)
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6configcore6
Architecture: any
Multi-Arch: same
Depends: libkf6config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6config-bin (= ${binary:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains KConfigCore.

Package: libkf6configgui6
Architecture: any
Multi-Arch: same
Depends: libkf6config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6config-bin (= ${binary:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains KConfigGui.

Package: libkf6configqml6
Architecture: any
Multi-Arch: same
Depends: libkf6config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6config-bin (= ${binary:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 KConfigQml provides the Qml binding for using KConfig in Qml
 applications.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains KConfigQml.

Package: qml6-module-org-kde-config
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module for kconfig
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML module for kconfig

## kf6-kconfig 6.19.0+p24.04+vstable+git20251015.0813

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(KConfig VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kconfig (6.19.0+p24.04+vstable+git20251015.0813-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:13:02 +0000

kf6-kconfig (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:49:50 +0000

=== debian/control ===
Source: kf6-kconfig
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kconfig.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kconfig
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kconfig
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6config-bin,
          libkf6config-data,
          libkf6config-doc,
          libkf6configcore6,
          libkf6configgui6,
          libkf6configqml6
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains runtime files for KConfig.

Package: kf6-kconfig-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kconfig (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libkf6config-bin-dev, libkf6config-dev, libkf6config-dev-bin
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6config-bin
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-data
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-doc
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configcore6
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configgui6
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configqml6
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-dev
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-dev-bin
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-bin-dev
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus (>= 1.8), xauth, xvfb, @, @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kf6-kconfig 6.19.0+p24.04+vstable+git20251019.0047

=== debian/changelog ===
kf6-kconfig (6.19.0+p24.04+vstable+git20251019.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:47:22 +0000

## kf6-kconfig 6.19.0+p24.04+vstable+git20251023.0055

=== debian/changelog ===
kf6-kconfig (6.19.0+p24.04+vstable+git20251023.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:55:13 +0000

## kf6-kconfig 6.19.0+p24.04+vstable+git20251028.0743

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 include(ECMDeprecationSettings)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
 option(KCONFIG_USE_GUI "Build components using Qt6Gui" ON)

## kf6-kconfig 6.19.0+p24.04+vstable+git20251031.0709

=== debian/changelog ===
kf6-kconfig (6.19.0+p24.04+vstable+git20251031.0709-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:09:47 +0000

## kf6-kconfig 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KConfig VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kconfig (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:05 +0000

=== debian/control ===
Source: kf6-kconfig
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfig
Rules-Requires-Root: no

Package: libkf6config-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains runtime files for KConfig.

Package: libkf6config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the translations.

Package: libkf6config-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6config-bin (= ${binary:Version}),
         libkf6config-dev-bin (= ${binary:Version}),
         libkf6configcore6 (= ${binary:Version}),
         libkf6configgui6 (= ${binary:Version}),
         libkf6configqml6 (= ${binary:Version}),
         qml6-module-org-kde-config (= ${binary:Version}),
         qt6-tools-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6config-doc (= ${source:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6config-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the binary files for the libkf6config-dev package.

Package: libkf6config-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: configuration settings framework for Qt (documentation)
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6configcore6
Architecture: any
Multi-Arch: same
Depends: libkf6config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6config-bin (= ${binary:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains KConfigCore.

Package: libkf6configgui6
Architecture: any
Multi-Arch: same
Depends: libkf6config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6config-bin (= ${binary:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains KConfigGui.

Package: libkf6configqml6
Architecture: any
Multi-Arch: same
Depends: libkf6config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6config-bin (= ${binary:Version}),
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 KConfigQml provides the Qml binding for using KConfig in Qml
 applications.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains KConfigQml.

Package: qml6-module-org-kde-config
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module for kconfig
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore, KConfigGui and KConfigQml.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML module for kconfig

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DKCONFIG_COMPILER_INSTALL_DIR="lib/libexec/kf6" -DBUILD_TESTING=OFF

override_dh_auto_test:
	: xvfb-run -a dbus-run-session dh_auto_test

## kf6-kconfig 6.20.0+p24.04+vunstable+git20251128.0042

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(KConfig VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kconfig (6.20.0+p24.04+vunstable+git20251128.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:42:24 +0000

kf6-kconfig (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-kconfig 6.20.0+p24.04+vunstable+git20251204.0124

=== debian/changelog ===
kf6-kconfig (6.20.0+p24.04+vunstable+git20251204.0124-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:24:33 +0000

## kf6-kconfig 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KConfig VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kconfig (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),
@@ -224,9 +224,7 @@
 Package: qml6-module-org-kde-config
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for kconfig
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore, KConfigGui and KConfigQml.

## kf6-kconfig 6.21.0+p24.04+vstable+git20251215.0106

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KConfig VERSION ${KF_VERSION})
 
 include(FeatureSummary)

## kf6-kconfig 6.21.0+p24.04+vstable+git20251226.0124

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,7 +60,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 add_subdirectory(src)

## kf6-kconfig 6.21.0+p24.04+vstable+git20260105.0812

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KConfig VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kconfig (6.21.0+p24.04+vstable+git20260105.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:12:45 +0000

kf6-kconfig (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:19 +1000

## kf6-kconfig 6.21.0+p24.04+vunstable+git20251207.0531

=== debian/changelog ===
kf6-kconfig (6.21.0+p24.04+vunstable+git20251207.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:31:07 +0000
